Bug 184597 - Fails with Fascist Build Policy; Built Files not in SPEC
Fails with Fascist Build Policy; Built Files not in SPEC
Product: Fedora
Classification: Fedora
Component: elfutils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
: 174962 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-03-09 23:12 EST by Joseph D. Wagner
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.119
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-03 04:41:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Log of attempted build. (564.32 KB, text/plain)
2006-03-09 23:13 EST, Joseph D. Wagner
no flags Details

  None (edit)
Description Joseph D. Wagner 2006-03-09 23:12:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux 2.6.15-1.1833_FC4; X11; i686; en_US) KHTML/3.5.1 (like Gecko)

Description of problem:
To catch potential problems with SPEC files, rpmbuild checks if any files are 
in the %RPM_BUILD_ROOT directory that aren't listed in the %files section of 
the SPEC files (a.k.a. The Fascist Build Policy).  rpmbuild for this package 
fails at this check. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Simply execute the following command on systems with rpm-build >= 4.4:  
rpmbuild --rebuild elfutils-0.108-1.src.rpm 

Actual Results:  rpmbuild exited with error when it found files built that were not part of the 

Expected Results:  The package should have been built successfully. 

Additional info:

The Fascist Build Policy cannot be turned off from the command line.
Comment 1 Joseph D. Wagner 2006-03-09 23:13:21 EST
Created attachment 125921 [details]
Log of attempted build.
Comment 2 Roland McGrath 2006-04-03 04:41:27 EDT
More recent elfutils rpms do not have a problem.
Comment 3 Roland McGrath 2006-04-03 04:43:34 EDT
*** Bug 174962 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.